#=======================================================================
#
# Support procedures for font scaler
#
# Copyright (C 1999 CurveSoft, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.
#  
# $Revision: 1.13 $
#
#=======================================================================

#-------------------------------------------------------------  WrapupSf
#
# Compute the number of char procs
#
proc WrapupSf {} {
    global aName; upvar #0 $aName G

    # count character definitions
    set clist [info procs $G(prefix)@\[0-9a-z\]*$G(suffix)]
    set G(nGlyphs) [llength $clist]
    if {$G(nGlyphs) <= 0} {
        puts stderr "ERROR(InitSf): no chars"; exit 1
    }
    puts stderr "G(nGlyphs) = $G(nGlyphs)"; flush stderr

    # create list of glyph codes
    set glist {}
    foreach i $clist {
        if ![regexp (^$G(prefix)@)(\[0-9a-f\]+)($G(prefix)$) \
                $i z x g y] {
            puts stderr "ERROR(InitSf): Bad char proc"; exit 1
        }
        append glist $g " "
    }
    set G(gList) $glist
}
