#======================================================================
#
# Initialization script for stroke font test program
#
# Copyright (C 1999 CurveSoft, Inc. All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA.
#  
# $Revision: 1.1 $
#
#======================================================================

# display window parameters
set wd [expr int(0.8 * [winfo screenwidth .])]
set ht [expr int(0.8 * [winfo screenheight .])]

# toggles ascii dump of bitmap; this should be 0 for normal operation.
# (mainly for debugging and generates a lot of output).
#
set ascii 0

wm title . "Test Pencil Stroke Font"
wm geometry . +5+10
canvas .c -height $ht -width $wd -background tan
pack .c

proc dochar {{gg 97} {b 9} {i 1} {e 18}} {
    for {set j $b} {$j <= $e} {incr j} {
        g -xscale $j -yscale $j -res 120 -glyph $gg
    }
}
proc doaccentsi {j} {
    g -xscale $j -yscale $j -res 120 -glyph 239
    g -xscale $j -yscale $j -res 120 -glyph 238
    g -xscale $j -yscale $j -res 120 -glyph 237
    g -xscale $j -yscale $j -res 120 -glyph 236
}
proc doaccentsa {j} {
    g -xscale $j -yscale $j -res 120 -glyph 224
    g -xscale $j -yscale $j -res 120 -glyph 225
    g -xscale $j -yscale $j -res 120 -glyph 226
    g -xscale $j -yscale $j -res 120 -glyph 227
    g -xscale $j -yscale $j -res 120 -glyph 228
}

proc dostr {{str "pack my box with five dozen liquor jugs"} \
        {b 6} {i 1} {e 30}} {
    set res 120
    set xinit 50
    set y 50
    set len [string length $str]
    g -xscale 5 -yscale 5 -glyph 32 -xpos $xinit -ypos $y
    for {set j $b} {$j <= $e} {incr j} {
        for {set i 0} {$i < $len} {incr i} {
            scan [string index $str $i] %c c
            g -xscale $j -yscale $j -res $res -glyph $c
        }
    update idletasks
        set y [expr int($y + $res * $j / 72.0)]
        g -xscale 5 -yscale 5 -glyph 32 -xpos $xinit -ypos $y
    }
}
puts stderr "Done with init file"
